Eclipse Remote Application Platform

## org.eclipse.rap.rwt.client.service
Interface JavaScriptExecutor

All Superinterfaces:
  ClientService, java.io.Serializable

    public interface JavaScriptExecutor

extends ClientService

The JavaScriptExecuter service allows executing JavaScript code on the client.

Since:
  2.0

Method Summary
`void` `execute(java.lang.String code)` Evaluate the JavaScript code on the client If the code throws an error, it will crash the web client.

Method Detail

### execute

    void execute(java.lang.String code)

  Evaluate the JavaScript code on the client If the code throws an error, it will crash the web client. Accessing internals of the web client is strongly discouraged.

  Parameters:
    `code` - the JavaScript code to evaluate

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0